USFS(4)

NAME
usfs - USB device side support for bulk only transport mass storage

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device usb
device usfs

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    usfs_load="YES"

DESCRIPTION
The usfs driver provides support for emulating an USB mass storage device when the USB stack is activated in USB device side mode (the usb_template(4) module is loaded and the hw.usb.template sysctl is set to 0).

Upon attach the driver creates a RAM disk which can be read and written.

SEE ALSO
umass(4), usb(4), usb_template(4)

HISTORY
The usfs driver appeared in FreeBSD 8.